Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.client.oslc.resources
Class TestResult

    java.lang.Object
      org.eclipse.lyo.oslc4j.core.model.AbstractResource
          org.eclipse.lyo.client.oslc.resources.QmResource
              org.eclipse.lyo.client.oslc.resources.TestResult

All Implemented Interfaces:
  org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource

    public final class TestResult

extends QmResource

Constructor Summary
`TestResult()`

Method Summary
`void` | `addAffectedByChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link affectingChangeRequest)`
`org.eclipse.lyo.oslc4j.core.model.Link[]` | `getAffectedByChangeRequests()`
`org.eclipse.lyo.oslc4j.core.model.Link` | `getExecutesTestScript()`
`org.eclipse.lyo.oslc4j.core.model.Link` | `getProducedByTestExecutionRecord()`
`protected URI` | `getRdfType()`
`org.eclipse.lyo.oslc4j.core.model.Link` | `getReportsOnTestCase()`
`org.eclipse.lyo.oslc4j.core.model.Link` | `getReportsOnTestPlan()`
`String` | `getStatus()`
`void` | `setAffectedByChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] affectedByChangeRequests)`
`void` | `setExecutesTestScript(org.eclipse.lyo.oslc4j.core.model.Link executesTestScript)`
`void` | `setProducedByTestExecutionRecord(org.eclipse.lyo.oslc4j.core.model.Link producedByTestExecutionRecord)`
`void` | `setReportsOnTestCase(org.eclipse.lyo.oslc4j.core.model.Link reportsOnTestCase)`
`void` | `setReportsOnTestPlan(org.eclipse.lyo.oslc4j.core.model.Link reportsOnTestPlan)`
`void` | `setStatus(String status)`

Methods inherited from class org.eclipse.lyo.client.oslc.resources.QmResource
`addRdfType, getCreated, getIdentifier, getInstanceShape, getModified, getRdfTypes, getServiceProvider, getTitle, setCreated, setIdentifier, setInstanceShape, setModified, setRdfTypes, setServiceProvider, setTitle`

Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource
`addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestResult

    public TestResult()

Method Detail

### getRdfType

    protected URI getRdfType()

  Specified by:
    `getRdfType` in class `QmResource`

### addAffectedByChangeRequest

    public void addAffectedByChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link affectingChangeRequest)

### getAffectedByChangeRequests

    public org.eclipse.lyo.oslc4j.core.model.Link[] getAffectedByChangeRequests()

### getReportsOnTestPlan

    public org.eclipse.lyo.oslc4j.core.model.Link getReportsOnTestPlan()

### getReportsOnTestCase

    public org.eclipse.lyo.oslc4j.core.model.Link getReportsOnTestCase()

### getExecutesTestScript

    public org.eclipse.lyo.oslc4j.core.model.Link getExecutesTestScript()

### getProducedByTestExecutionRecord

    public org.eclipse.lyo.oslc4j.core.model.Link getProducedByTestExecutionRecord()

### getStatus

    public String getStatus()

### setAffectedByChangeRequests

    public void setAffectedByChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] affectedByChangeRequests)

### setReportsOnTestPlan

    public void setReportsOnTestPlan(org.eclipse.lyo.oslc4j.core.model.Link reportsOnTestPlan)

### setReportsOnTestCase

    public void setReportsOnTestCase(org.eclipse.lyo.oslc4j.core.model.Link reportsOnTestCase)

### setProducedByTestExecutionRecord

    public void setProducedByTestExecutionRecord(org.eclipse.lyo.oslc4j.core.model.Link producedByTestExecutionRecord)

### setExecutesTestScript

    public void setExecutesTestScript(org.eclipse.lyo.oslc4j.core.model.Link executesTestScript)

### setStatus

    public void setStatus(String status)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.